Skip to main content
PATCH
/
browser-agent
/
credentials
/
{userId}
/
{teamId}
/
{id}
Update browser login
curl --request PATCH \
  --url https://api.duvo.ai/v1/browser-agent/credentials/{userId}/{teamId}/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "<string>",
  "username": "<string>",
  "password": "<string>",
  "otp_secret": "<string>",
  "shared": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "domain": "<string>",
  "username": "<string>",
  "password": null,
  "otp_secret": null,
  "user_id": "<string>",
  "team_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

userId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
teamId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Body

application/json
domain
string
Minimum string length: 1
username
string | null
Minimum string length: 1
password
string | null
Minimum string length: 1
otp_secret
string | null
Minimum string length: 1
shared
boolean

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
domain
string
required
username
string | null
required
password
unknown
required
otp_secret
unknown
required
user_id
string | null
required
team_id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required